Subject: [Fwd: questions about managing URN-namespaces / progress of implementation]

From: Michael Derr <[email-masked]>
Date: Wed, 13 Jun 2001 17:30:40 +0200

To the IETF URN WG:

I forwarded this massage to the URN WG, because I sent it several month ago

to the IANA  organization without getting any answere .

I think this is also a right place to ask for your comments.

May be you have some answeres or suggestions.

Thank you very much for your support.

regards

Michael

######################################################################

Michael Derr wrote:

Date: Mon, 22 Jan 2001 11:20:56 +0100
From: Michael Derr <[email-masked]>
To: [email-masked]
Subject: questions about managing URN-namespaces / progress of
implementation

> To the IANA organization:
>
> As a member of the project CARMEN/sub task AP4
> (http://www.bis.uni-oldenburg.de/carmen_ap4/index.html),  part of the
> Global Info Project (http://www.global-info.org/index.html.en) I am
> busy with the potentials of URN concepts for scientific documents on
> the web. My interests concern managing URNs and namespaces. Of course
> current developments of URN technology on global scale are my
> interests too.
>
> My motivation for writing this mail is the hope to clear the role of
> IANA concerning the matter of URN technology and progress of
> implementation.
>
> The IETF-URN working  group published many contributions  concerning
> perspectives of URN. One of the results of steady discussion in the
> forum of URN working group is, that the IANA is proposed to manage the
> procedure of namespace registration for URNs.
>
> Recently, in RFC2915 IANA was designated as the institution to
> administer
> globally unique namespaces to be createwd for URNs.
>
> Here are my questions and I would be very grateful to receive your
> comments:
>
>   - In the draft "draft-mealling-iana-urn-00.txt" published Nov,
>     17th, 2000 in the IETF-URN forum, a IANA URN namespace is
>
>     proposed. Is IANA intending special administration procedures for
>     URNs or is this a obligatory standard procedure for namespace
>     registration (first formulated in RFC2141)?
>
>   - Does IANA agree with the proposals as formulated in RFC2915 and is
>     there a schedule for implementation so that namespaces could
> resolved
>     on global scale in near future? Is IANA yet involved in the
>     process of realizing URN-technology?
>
>   - Implementing and maintaining URNs will cause costs and effort.
>      What are the plans, if they exist, about financing these services?
>
>   - There are some technical aspects besides the pure URN concepts: IDF,
>
>     OCLC-PURL service, PlugIn solutions for namespaces (e.g. ISSN).
>     These projects  solve  the problem of unstable URLs and give
>     stable references for electronic documents a  perspective. Could
> these
>     conventional techniques be "the solution" and maybe supersede the
>     realization of URN techniques or even obsolets it?
>
> Please inform me as well if you think that IANA is *not* the
> appropriate adress for the above questions.
>
> Thank you very much for your support!
>
> Any response is appreciated.
>
> Regards
>
> Michael Derr
>
> ------------------------
> >> Michael Derr
> >> FIZ Karlsruhe,
> >> Zentralblatt fuer Mathematik
> >> Franklinstr. 11
> >> D 10587 Berlin /FRG
>
> >> Tel: (49)(30) 399 93 4 - 25
> >> Fax: (49)(30) 392 70 09
> ------------------------

######################################################################

---

From: Michael Mealling <[email-masked]>
Date: Wed, 13 Jun 2001 12:09:33 -0400

> May be you have some answeres or suggestions.

I'll take a stab at these since 2915 is mostly my puppy. ;-)

To be clear the documents we're talking about here are being updated
as we speak by the following documents:

Dynamic Delegation Discovery System (DDDS)
draft-ietf-urn-ddds-04.txt

A DDDS Database Using The Domain Name System
draft-ietf-urn-dns-ddds-database-05.txt

URI Resolution using the Dynamic Delegation Discovery System
draft-ietf-urn-uri-res-ddds-03.txt

Assignment Procedures for the URI Resolution using DNS
draft-ietf-urn-net-procedures-08.txt

URN Namespace Definition Mechanisms
draft-ietf-urn-rfc2611bis-03.txt

> > IANA concerning the matter of URN technology and progress of

With respect to URNs the IANA is only in a registration role. They
don't interact with technology or standards development beyond simply
acting as the place where we stick all of our registered numbers...

> > procedure of namespace registration for URNs.

Yep. The specific document that lays all of that out is RFC 2611 which
is currently being updated at the request of the IESG. See above
for the current draft.

> > administer globally unique namespaces to be createwd for URNs.

Not really. 2915 references the definitive document which is 2611.
2611 is the one that designates the IANA as the authority and specifies
the policies/procedures that the IANA has to adhere to.

> >     registration (first formulated in RFC2141)?

This document is still in discussion but what it is proposing is
seperate from URN namespace id registration in general. The IANA
has a large number of different values in its registration database
(port numbers, enterprise numbers, http parameters, etc).
draft-mealling-iana-urn-00.txt is an attempt at creating a new URN
namespace that is specifically for assigning a permanent name to all of
the parameters that the IANA maintains so that they can be talked about
in other protocols such as SOAP and RDF.

So its not really talking about the general URN NID registration process.

> >     resolved on global scale in near future?

The IANA reviews the IANA Considerations section of all RFCs to make
sure they can handle what the document is asking of it. But beyond that
the IANA generally doesn't comment officially on standards...

> >     Is IANA yet involved in the process of realizing URN-technology?

In 2915 (which is being udpated by draft-ietf-urn-net-procedures-08.txt
and is the document you should be looking at) the IANA is tasked with
running the uri.arpa and urn.arpa nameservers and with putting the
records in those zones according to the policies/procedures in
draft-ietf-urn-net-procedures-08.txt. Beyond that the IANA is not
involved in 'realizing' any technology.

> >      What are the plans, if they exist, about financing these services?

Questions such as this are left up to the individual namespace. The IETF
does not deal with these issues at all since it is not an industry consortium
like the W3C where questions like that are in scope.

> >     these conventional techniques be "the solution" and maybe supersede the

It depends on what problem you are trying to solve. PURLs depend on
OCLC existing for thousands of years. URNs on the other hand only depend
on some other entity not attempting to pirate your namespace.

> > appropriate adress for the above questions.

Generally no. The IANA is just a database with a human face. It can't answer
questions about who/why/how something in it was created. It can only tell you
the values in the database and the procedures for putting something in it.

-MM

--
--------------------------------------------------------------------------------
Michael Mealling                       | mailto:[email-masked]
Advanced Naming Research Manager       | go:Michael Mealling
Verisign Applied Research              | urn:pin:1